# Uses of Class
org.codehaus.janino.Java.ArrayType

Packages that use Java.ArrayType
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ArrayType in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.ArrayType
Modifier and Type
Field
Description
`final Java.ArrayType`
Java.NewInitializedArray.`arrayType`
The array type to be instantiated.
`final Java.ArrayType`
Java.ArrayCreationReference.`type`
The array type that this expression instantiates.
Methods in org.codehaus.janino with parameters of type Java.ArrayType
Modifier and Type
Method
Description
`R`
Visitor.TypeArgumentVisitor.`visitArrayType(Java.ArrayType arrayType)`
Invoked by `accept(Visitor.TypeArgumentVisitor)`
`R`
Visitor.TypeVisitor.`visitArrayType(Java.ArrayType at)`
Invoked by `accept(Visitor.TypeVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.ArrayType
Modifier
Constructor
Description
``
`ArrayCreationReference(Location location, Java.ArrayType type)`
``
`NewInitializedArray(Location location, Java.ArrayType arrayType, Java.ArrayInitializer arrayInitializer)`

## Uses of Java.ArrayType in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.ArrayType
Modifier and Type
Method
Description
`Java.ArrayType`
DeepCopier.`copyArrayType(Java.ArrayType subject)`
`Java.ArrayType`
DeepCopier.`copyOptionalArrayType(Java.ArrayType subject)`
Methods in org.codehaus.janino.util with parameters of type Java.ArrayType
Modifier and Type
Method
Description
`Java.ArrayType`
DeepCopier.`copyArrayType(Java.ArrayType subject)`
`Java.ArrayType`
DeepCopier.`copyOptionalArrayType(Java.ArrayType subject)`
`void`
AbstractTraverser.`traverseArrayType(Java.ArrayType at)`
`void`
Traverser.`traverseArrayType(Java.ArrayType at)`